Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000756bareos-core[All Projects] file daemonpublic2017-01-03 15:062017-03-03 23:11
Reporterstephand 
Assigned Tostephand 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version16.2.4 
Target VersionFixed in Version 
Summary0000756: Restoring Windows Backup to Linux FD with Python Plugin enabled fails with Fatal error: python-fd: Illegal plugin definition
DescriptionWhen restoring a backup taken on Windows FD with VSS enabled (default), and trying to restore it to a Linux FD with Python plugin enabled, it fails with the following error message:

Fatal error: python-fd: Illegal plugin definition *all*
Steps To ReproduceTake a Backup from a Windows FD with Enable VSS = yes (this is default if not set explicitly), and restore it on a Linux FD which has the python plugin enabled.
Additional InformationWindows backups with VSS enabled create a restore object which contains
pluginname = '*all*'. This is passed to the python plugin when restoring to a Linux FD with python plugin enabled. The python plugin considers it incorrect because '*all*' does not contain a ':', because a correct python plugin option string must start with 'python:'. Possible fix: Do not invoke the python plugin when the plugin option string does not start with 'python:'.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
child of 0000734closedstephand Release bareos-16.2.5 

-  Notes
(0002598)
stephand (developer)
2017-03-03 23:11

Fix committed to bareos bareos-16.2 branch with changesetid 6883.

- Related Changesets
bareos: bareos-16.2 b9a5a567
Timestamp: 2017-02-24 14:13:33
Author: stephand
Ported: N/A
Details ] Diff ]
Fix python-fd Illegal plugin definition restoring Win Job on Linux with Python plugin enabled

Fixes 0000756: Restoring Windows Backup to Linux FD with Python Plugin enabled fails with Fatal error: python-fd: Illegal plugin definition
mod - src/plugins/filed/python-fd.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-03 15:06 stephand New Issue
2017-01-04 11:35 joergs Relationship added child of 0000734
2017-02-24 14:10 stephand Assigned To => stephand
2017-02-24 14:10 stephand Status new => assigned
2017-03-03 23:11 stephand Changeset attached => bareos bareos-16.2 b9a5a567
2017-03-03 23:11 stephand Note Added: 0002598
2017-03-03 23:11 stephand Status assigned => resolved
2017-03-03 23:11 stephand Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker